﻿###The built-in Game DVR feature helps you record your gameplay, capture screenshots, and share them online. But it can interfere with your game’s performance, too. Background recording requires some of your GPU power, and some gamers will want all the GPU power they can get.###
###If you experience low FPS or FPS loss after upgrading to Windows 11, you may resolve the issue by disabling the Xbox DVR feature.###
###Requires -RunSilent

[reflection.assembly]::loadwithpartialname("System.Windows.Forms") | Out-Null 
$msgBoxInput = [System.Windows.Forms.MessageBox]::Show('Do you want to disable Game DVR feature?','ThisIsWin11','YesNo','Question')

switch  ($msgBoxInput) {

  'Yes' {
 
If (!(Test-Path "HKCU:\System\GameConfigStore")) {
	New-Item -Path "HKCU:\System\GameConfigStore" -Force | Out-Null
}
New-ItemProperty -Path "HKCU:\System\GameConfigStore" -Name "GameDVR_Enabled" -Type DWord -Value 0 -Force
 New-ItemProperty -Path "HKCU:\System\GameConfigStore" -Name "GameDVR_FSEBehaviorMode" -Type DWord -Value 2 -Force
  
 }

'No'{}

}