﻿###Visual effects are the visual bells and whistles for the appearance of Windows for your account. These visual bells and whistles can affect the performance of Windows on the PC though.
###This tweak will turn off all visual effects under My computer -> Properties -> Advanced -> Settings -> and set to "Adjust for best performance".###
###More information can be found here: https://www.tenforums.com/tutorials/6377-change-visual-effects-settings-windows-10-a.html###
###Requires -RunSilent

$path = 'HKCU:\Software\Microsoft\Windows\CurrentVersion\Explorer\VisualEffects'
try {
    $s = (Get-ItemProperty -ErrorAction stop -Name visualfxsetting -Path $path).visualfxsetting 
    if ($s -ne 2) {
        Set-ItemProperty -Path $path -Name 'VisualFXSetting' -Value 2  
        }
    }
catch {
    New-ItemProperty -Path $path -Name 'VisualFXSetting' -Value 2 -PropertyType 'DWORD'
    }